isdn_cdb_def.h File Reference

Go to the source code of this file.

## Enumerations

enum | { vendor , device , vendor_id , device_id , subvendor_id , subdevice_id , revision , device_class , bus_type , vario , SMP , drv_id , drv_subtyp , drv_typ , interface , line_cnt , line_protocol , module , need_packages , supported , feature , info , special , firmware , short_description , IRQ , IO , MEMBASE , alternative_name }

## Functions

void | add_current_item (int, char *)
int | new_entry (void)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
vendor |
device |
vendor_id |
device_id |
subvendor_id |
subdevice_id |
revision |
device_class |
bus_type |
vario |
SMP |
drv_id |
drv_subtyp |
drv_typ |
interface |
line_cnt |
line_protocol |
module |
need_packages |
supported |
feature |
info |
special |
firmware |
short_description |
IRQ |
IO |
MEMBASE |
alternative_name |

## Function Documentation

## add_current_item()

void add_current_item | ( | int | item,
|  | char * | val )

extern

References add_lname(), add_name(), add_name_list(), add_sortedname_list(), add_vendor(), alternative_name, bus_type, cards, ce_idx, del_vario(), device, device_class, device_id, drv_id, drv_subtyp, drv_subtyp_cnt, drv_typ, drv_typ_cnt, drvid_cnt, feature, firmware, info, interface, IO, IRQ, line_cnt, line_protocol, _vendorshortnames_t::lname, MEMBASE, name_str, name_str_cnt, need_packages, new_vario(), not_supported, PCI_ANY_ID, revision, short_description, SMP, special, subdevice_id, subvendor_id, supported, supported_cnt, vario, vario_idx, varios, vendor, vendor_id, and vendors.

Referenced by while().

## new_entry()

int new_entry | ( | void |  | ) |

extern

References cards, ce_idx, max_ce, not_supported, PCI_ANY_ID, and vendors.

Referenced by while().